OpenMesh::VDPM Namespace Reference

Software related to view dependent progressive meshes. More...

## Classes

class | MeshTraits
| Mesh traits for View Dependent Progressive Meshes. More...
class | Plane3d
| ax + by + cz + d = 0 More...
class | VFront
| Active nodes in vertex hierarchy. More...
class | VHierarchy
| Keeps the vertex hierarchy build during analyzing a progressive mesh. More...
class | VHierarchyNode
| Vertex hierarchy node. More...
struct | VHierarchyNodeHandle
| Handle for vertex hierarchy nodes. More...
class | VHierarchyNodeIndex
| Index of vertex hierarchy node. More...
class | VHierarchyWindow
class | ViewingParameters

## Typedefs

typedef std::vector< VHierarchyNode > | VHierarchyNodeContainer
| Container for vertex hierarchy nodes.
typedef std::vector< VHierarchyNodeHandle > | VHierarchyNodeHandleContainer
| Container for vertex hierarchy node handles.
typedef std::list< VHierarchyNodeHandle > | VHierarchyNodeHandleList
| Container for vertex hierarchy node handles.
typedef std::vector< VHierarchyNodeIndex > | VHierarchyNodeIndexContainer
| Container for vertex hierarchy node indices.

## Enumerations

enum | VDPMDownLinkStatus { kStarted, kFinished, kStartable }
enum | VDPMStreamingPhase { kBaseMesh, kVSplitHeader, kVSplits }
enum | VDPMClientMode { kStatic, kDynamic }
enum | VHierarchySearchMode { kBruteForce, kUseHashing }

## Detailed Description

Software related to view dependent progressive meshes.